<ol class="breadcrumb" breadcrumb="">
    <li class="breadcrumb-item">
      <a href="#/bots">Bots</a>
    </li>
    <li class="breadcrumb-item">
      <a ng-href="#/bot/{{bot.bot_id}}">{{ bot.bot_name }} </a>
    </li>
    <li class="breadcrumb-item active">{{retrival_intent.retrival_intent_name}}</li>
    <!-- Breadcrumb Menu-->
    <li class="breadcrumb-menu">
      <div class="btn-group" role="group">
        <a class="btn btn-outline-secondary" ng-click="deleteRetrivalIntent()" confirm-click-title="Delete Intent"
          confirm-click="Are you sure? This will delete the intent and all its expressions, and their resolved entities.">
          <i class="icon-trash"></i> &nbsp;Xóa QnA</a>
      </div>
    </li>
  </ol>
  <div class="container-fluid">
    <div class="animated fadeIn">
      <div class="row">
        <div class="col-sm-12 col-lg-12">
          <form>
            <div class="card">
              <div class="card-header">
                <strong>Tên cặp QnA</strong>
              </div>
              <div class="card-block">
                <div class="row">
                  <div class="col-sm-12">
                    <div class="form-group">
                      <input ng-model="retrival_intent.retrival_intent_name" type="text" class="form-control"
                        value="{{retrival_intent.retrival_intent_name}}">
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-footer">
                <button type="submit" class="btn btn-sm btn-primary" ng-click="updateIntentNameAndWebhook(retrival_intent)"><i
                    class="fa fa-dot-circle-o"></i>Lưu</button>
              </div>
            </div>
          </form>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12 col-lg-12">
          <form autocomplete="off">
            <div class="card">
              <div class="card-header">
                <strong>Câu hỏi mẫu</strong>
              </div>
              <div class="card-block">
                <div class="row">
                  <div class="col-sm-12">
                    <div class="form-group">
                      <label for="text">Người dùng nói ...</label>
                      <input type="text" autocomplete="off" ng-model="expression_text" class="form-control" id="text"
                        placeholder="Enter an expression and press enter"
                        ng-keyup="$event.keyCode == 13 && addExpression($event)">
                    </div>
                  </div>
                  
                </div>
              </div>
          </form>
          <form>
            <div class="card-block" ng-hide="expressionList.length == 0">
              <div class="row">
                <div class="col-sm-12">
                  <label>Highlight the word you want to reference as a entity value ...</label>
                  <div class="list-group" dir-paginate="expression in expressionList  | itemsPerPage: 6">
                    <div class="list-group-item">
                      <span id="expression_{{expression.expression_id}}"
                        ng-bind-html="expression.retrival_expression_text | trusted"></span>
                      <span class="float-right">
                        <span class="badge badge-default badge-pill mr-2"
                          ng-hide="parameterFilterList.length == 0">{{ parameterFilterList.length }}</span>      
                        <button class="btn btn-outline-danger" confirm-click-title="Delete Expression"
                          confirm-click="Are you sure? This will delete the expression and all its resolved entities."
                          ng-click="deleteExpression(expression.retrival_expression_id)">
                          <span class="icon-trash"></span>
                        </button>
                      </span>
                    </div>
                  </div>
                  <br>
                  <div style="float:right">
                    <dir-pagination-controls></dir-pagination-controls>
                  </div>
                </div>
              </div>
          </form>

        </div>
      </div>
      <div class="row">
        <div class="col-sm-12 col-lg-12">
          <form autocomplete="off">
            <div class="card">
              <div class="card-header">
                <strong>Câu trả lời mẫu</strong>
              </div>
              <div class="card-block">
                <div class="row">
                  <div class="col-sm-12">
                    <div class="form-group">
                      <label for="text">Bot nói ...</label>
                      <input type="text" autocomplete="off" ng-model="response_text" class="form-control" id="text"
                        placeholder="Enter an response and press enter"
                        ng-keyup="$event.keyCode == 13 && addResponse($event)">
                    </div>
                  </div>
                  
                </div>
              </div>
          </form>
          <form>
            <div class="card-block" ng-hide="responseList.length == 0">
              <div class="row">
                <div class="col-sm-12">
                  <label>Highlight the word you want to reference as a entity value ...</label>
                  <div class="list-group" dir-paginate="response in responseList  | itemsPerPage: 6">
                    <div class="list-group-item">
                      <span id="response_{{response.retrival_response_id}}"
                        ng-bind-html="response.retrival_response_text | trusted"></span>
                      <span class="float-right">
                        <span class="badge badge-default badge-pill mr-2"
                          ng-hide="parameterFilterList.length == 0">{{ parameterFilterList.length }}</span>      
                        <button class="btn btn-outline-danger" confirm-click-title="Delete Response"
                          confirm-click="Are you sure? This will delete the response and all its resolved entities."
                          ng-click="deleteResponse(response.retrival_response_id)">
                          <span class="icon-trash"></span>
                        </button>
                      </span>
                    </div>
                  </div>
                  <br>
                  <div style="float:right">
                    <dir-pagination-controls></dir-pagination-controls>
                  </div>
                </div>
              </div>
          </form>

        </div>
      </div>
    </div>
  </div>
